const app = getApp()

Page({

    /**
     * 页面的初始数据
     */
    data: {
        text: '',
        texttwo: '',
        height: '',
        show: false,
        seckill_status: 1,
        seckill_start: '请输入开始日期',
        seckill_endx: '请输入结束日期',
        time: 30 * 60 * 60 * 1000,
        timeflag: 0,
        seckill_end: '',
        userInfo: {},
        item: {},
        url: app.globalData.url,
        hasUserInfo: false,
        date: '',
        paymoney:0,
        show: false,
        canIUseOpenData: wx.canIUse('open-data.type.userAvatarUrl') && wx.canIUse('open-data.type.userNickName'),
        phone: wx.getStorageSync('phone'),
        uidFlag: wx.getStorageSync('uidFlag'),
        imgUrls: [
            '/pages/image/goddess.jpg',
            '/pages/image/goddess.jpg',
            '/pages/image/goddess.jpg'
        ],
        goods_detail_img: [],
        indicatorDots: true,
        autoplay: true,
        interval: 5000,
        duration: 1300,
        id: 0,
        bg: '#C79C77',
        order_id: '',
        timeData: {},
        Height: "", //这是swiper要动态设置的高度属性
        charge_phone: '',
        is_ok_click: false,
        clock: '',
        address: ''
    },

    onDisplay() {
        this.setData({
            show: true
        });
    },
    onClose() {
        this.setData({
            show: false
        });
    },
    formatDate(date) {
        date = new Date(date);
        return `${date.getMonth() + 1}/${date.getDate()}`;
    },
    onConfirm(event) {
        this.setData({
            show: false,
            text: `选择了 ${event.detail.length} 个日期`,
            texttwo: this.formatDate(event.detail),
        });
    },
    // 确认支付
    confirm_pay: async function () {
        var that = this;
        if (!this.data.is_ok_click) {
            that.setData({
                is_ok_click: true
            })
            //你要执行的操作      
            this.payment()
            setTimeout(function () {
                that.setData({
                    is_ok_click: false
                })
            }, 10000) //阻止一秒点击多次
        } else {
            // wx.showToast({ title:'请勿重复操作！', icon: 'none' });
        }
    },
    //获取单价
    getprice: function () {
        var that = this;
        wx.request({
            url: app.globalData.url + '/system/config/configKey/price',
            header: app.getRequestHeader(),
            method: 'GET',
            data: {},
            success: (res) => {
                var resp = res.data;
                if (res.data.code == 200) {
                    that.setData({
                        special_offer: resp.data,
                    });
                }
            }
        });
    },
    //获取类型
    getpriceType: function () {
        var that = this;
        wx.request({
            url: app.globalData.url + '/system/config/configKey/priceType',
            header: app.getRequestHeader(),
            method: 'GET',
            data: {},
            success: (res) => {
                var resp = res.data;
                if (res.data.code == 200) {
                    that.setData({
                        special_offer: resp.data,
                    });
                }
            }
        });
    },
    payment() {

        if (this.data.seckill_start == "请输入开始日期") {
            wx.showToast({ title: '请输入开始日期', icon: 'none' });
            return
          }
          if (this.data.seckill_endx == "请输入结束日期") {
            wx.showToast({ title: '请输入结束日期', icon: 'none' });
            return
          }
        var that = this;
        wx.request({
            url: app.globalData.url + '/system/order',
            data: {
                startTime: this.data.seckill_start,
                endTime: this.data.seckill_endx,
                bId: this.data.item.userId,
                yuguMoney: "100",
                price: "10",
                priceType: "1",
                hospitalId: this.data.item.hospitalId,
                cId: wx.getStorageSync('uid')
            },
            method: 'POST',
            header: {
                'content-type': 'application/json',
                'Authorization': 'Bearer ' + app.getCache("token")
            },
            success(res) {
                if (res.data.code == 200) {
                    that.setData({
                        // order_id: res.data.order_id,
                        order_id: 123456,
                    })
                    // wx.showToast({ title: res.data.msg, icon: 'none' });            
                    wx.requestPayment({
                        timeStamp: res.data.data.timeStamp,
                        nonceStr: res.data.data.nonceStr,
                        package: res.data.data.package,
                        signType: 'MD5',
                        paySign: res.data.data.paySign,
                        success(res) {
                            console.log('支付成功');
                            wx.navigateTo({
                                url: '../paysuccess/paysuccess?' + '&order_id=' + that.data.order_id,
                            })
                        },
                        fail(res) {
                            console.log('支付失败');
                        }
                    })
                } else {
                    wx.showToast({
                        title: res.data.msg,
                        icon: 'none'
                    });

                }
            }
        })
    },

  //是否登录
  isdenglu() {
    wx.showModal({
      title: '提示',
      content: '请先登录',
      success(res) {
        if (res.confirm) {
          console.log('用户点击确定')
          wx.switchTab({
            url: '/pages/my/my'
          })
        } else if (res.cancel) {
          console.log('用户点击取消')
          wx.switchTab({
            url: '/pages/my/my'
          })
        }
      }
    })
  },

    bindDateChange: function (e) {
        this.setData({
            seckill_start: e.detail.value
        })
    },
    bindDateChangetwo: function (e) {
        this.setData({
            seckill_endx: e.detail.value,        
        })
       var day = this.checkDate()
        this.setData({
            paymoney:100*day
        })
    },
    checkDate: function() {
        //日期格式化
        var start_date = new Date(this.data.seckill_start.replace(/-/g, "/"));
        var end_date = new Date(this.data.seckill_endx.replace(/-/g, "/"));
        //转成毫秒数，两个日期相减
        var ms = end_date.getTime() - start_date.getTime();
        //转换成天数
        var day = parseInt(ms / (1000 * 60 * 60 * 24));
        //do something
        console.log("day = ", day);
        return day
   },
    onClickLeft() {
        wx.navigateBack()
    },
    onChange(e) {
        this.setData({
            timeData: e.detail,
        });
       
    },
    imgHeight: function (e) {
        var winWid = wx.getSystemInfoSync().windowWidth; //获取当前屏幕的宽度
        var imgh = e.detail.height; //图片高度
        var imgw = e.detail.width; //图片宽度
        var swiperH = winWid * imgh / imgw + "px" //等比设置swiper的高度。 即 屏幕宽度 / swiper高度 = 图片宽度 / 图片高度  ==》swiper高度 = 屏幕宽度 * 图片高度 / 图片宽度
        this.setData({
            Height: swiperH //设置高度
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (e) {
        var statusBarHeight = wx.getSystemInfoSync().statusBarHeight;
        app.console(statusBarHeight + "=================xxxxxxxxxxxxxxxxxxxxxxxx")
        this.setData({
            statusBarHeight: statusBarHeight,
            height: 46 + statusBarHeight,
        });
        app.console(this.data.height + "=================xxxxxxxxxxxxxxxxxxxxxxxx")
        console.log(wx.getStorageSync('uidFlag'))
        console.log(wx.getStorageSync('uid'))
        if (wx.getStorageSync('phone') == '') {
            wx.setStorageSync('uidFlag', false);
            console.log('请登录')
            wx.showModal({
                title: '提示',
                content: '请先登录',
                success(res) {
                    if (res.confirm) {
                        console.log('用户点击确定')
                        wx.switchTab({
                            url: '/pages/my/my'
                        })
                    } else if (res.cancel) {
                        console.log('用户点击取消')
                        wx.switchTab({
                            url: '/pages/my/my'
                        })
                    }
                }
            })
        }

        var that = this;
        let item = JSON.parse(e.item);
        that.setData({
            item: item
        });
        var myDate = new Date();
        myDate.getDate();
        app.console("当前天=" + myDate.toLocaleDateString())
    },
    /**
     * 拨打电话
     */
    callphone() {
        wx.makePhoneCall({
            phoneNumber: this.data.charge_phone,
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },


    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

        var that = this;
        this.getprice();
        this.getpriceType();
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },
    login: function (e) {

    },

})


